%global         momorel 3

Name:           perl-Test-CheckDeps
Version:        0.010
Release:        %{momorel}m%{?dist}
Summary:        Check for presence of dependencies
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-CheckDeps/
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/Test-CheckDeps-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.006
BuildRequires:  perl-CPAN-Meta >= 2.120920
BuildRequires:  perl-CPAN-Meta-Check >= 0.007
BuildRequires:  perl-Cwd
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-IO
BuildRequires:  perl-IPC-Open3
BuildRequires:  perl-List-Util
BuildRequires:  perl-Test-Simple >= 0.88
Requires:       perl-CPAN-Meta >= 2.120920
Requires:       perl-CPAN-Meta-Check >= 0.007
Requires:       perl-List-Util
Requires:       perl-Test-Simple
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module adds a test that assures all dependencies have been installed
properly. If requested, it can bail out all testing on error.

%prep
%setup -q -n Test-CheckDeps-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README
%{perl_vendorlib}/Test/CheckDeps.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.010-3m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.010-2m)
- rebuild against perl-5.18.2

* Thu Oct 10 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.010-1m)
- update to 0.010

* Fri Sep 27 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.008-1m)
- update to 0.008

* Fri Sep 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.007-1m)
- update to 0.007

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.006-2m)
- rebuild against perl-5.18.1

* Sat Jun 22 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.006-1m)
- update to 0.006

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.004-2m)
- rebuild against perl-5.18.0

* Wed May 15 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.004-1m)
- update to 0.004

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.002-2m)
- rebuild against perl-5.16.3

* Sat Dec 15 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.002-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
